package com.book.push.service.dao.impl;

import com.book.dao.cps.pojo.AdminConfig;
import com.book.dao.cps.pojo.User;
import com.book.push.cons.UrlCons;
import com.book.push.service.dao.BookService;
import com.book.push.service.dao.OpHostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/8/28
 * Project: book-store
 *
 * @author win7
 */
@Service
public class BookServiceImpl implements BookService {

    @Autowired
    private OpHostService opHostService;
    @Override
    public String createBookUrl(Long bookId, AdminConfig adminConfig, User user) {
      return   String.format(UrlCons.BOOK_URL,adminConfig.getAppid(),opHostService.selectById(adminConfig.getOphostId()),UrlCons.MODEL_BOOK,
                adminConfig.getAdminId(),user.getId(),String.valueOf(bookId));
    }
}
